import { ServiceProvider } from '@supercharge/support';
export declare class RouteServiceProvider extends ServiceProvider {
    /**
     * Stores the callback functions that load route files.
     */
    private readonly loadRoutesCallbacks;
    /**
     * Register application services to the container.
     */
    register(): void;
    /**
     * Run the registered route-loading callbacks.
     */
    protected runRouteLoadingCallbacks(): void;
    /**
     * Load the routes file from the given `path`.
     *
     * @param callback
     *
     * @returns {this}
     */
    loadRoutesFrom(path: string): this;
    /**
     * Delete the require cache entry for the given `path` if it exists.
     *
     * @see https://nodejs.org/api/modules.html#modules_caching
     *
     * @param path
     *
     * @returns {this}
     */
    protected clearRequireCacheFor(path: string): this;
    /**
     * Register a callback that will be used to load the application’s routes.
     *
     * @param callback
     *
     * @returns {this}
     */
    loadRoutesUsing(callback: () => void): this;
}
